GCLEAR_WS(3NCARG)

NAME
gclear_ws (Clear workstation) - clears a workstation.

SYNOPSIS
#include <ncarg/gks.h>

void gclear_ws(Gint ws_id, Gctrl_flag ctrl_flag);

DESCRIPTION

ws_id
    (Input) - A number identifying the workstation to be cleared. ws_id must be the same as that used in some previous gopen_ws call.

ctrl_flag
    (Input) - Clear the workstation display surface. Options are:

    GFLAG_COND
        Check to see if the display surface is empty. If so, do not issue a clear surface command.

    GFLAG_ALWAYS
        Issue a clear surface command whether the surface has been written to or not.

USAGE
For workstations of type "1" (CGM), gclear_ws is interpreted as a picture termination in CGM generation. If ctrl_flag = GFLAG_COND and no output primitives have been written in the current picture, then a call to gclear_ws is a "do nothing"; otherwise, it generates an END PICTURE element (as well as other picture initializing elements). If ctrl_flag = GFLAG_ALWAYS, then a call to gclear_ws generates an END PICTURE.

For workstations of types "7" or "8" (see the man page for gopen_ws for a description of workstation types) clear workstations erases all primitives that appear on the screen.

For all other workstation types, clear workstation simply updates the workstation.

ACCESS
To use the GKS C-binding routines, load the ncarg_gks and ncarg_c libraries.

SEE ALSO
Online: gopen_ws(3NCARG), gactivate_ws(3NCARG), gdeactivate_ws(3NCARG), gclose_ws(3NCARG), gks(3NCARG), ncarg_gks_cbind(3NCARG)

Hardcopy: User's Guide for NCAR GKS-0A Graphics; NCAR Graphics Fundamentals, UNIX Version

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research
The use of this Software is governed by a License Agreement.